Skip to main content
`Ctrl`+`K`

# DMMoabSetFieldNames

Sets the number of fields and their names to be managed by the DM

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabSetFieldNames(DM dm, PetscInt numFields, const char *fields[])

Not Collective

## Input Parameters

- dm - the discretization manager object

- numFields - the total number of fields

- fields - the array containing the names of each field (component); Can be `NULL`.

## See Also

`DMMoabGetFieldName()`, `DMMoabSetFieldName()`

## Level

intermediate

## Location

src/dm/impls/moab/dmmbfield.cxx

## Examples

src/ts/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx
src/ksp/ksp/tutorials/ex35.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages